ibus-pinyin (1.5.0-7) unstable; urgency=medium

  * Team upload.
  * Acknowledge NMU.
  * debian/: Apply wrap-and-sort -abst.
  * debian/control: Bump debhelper compat to v13.
  * debian/control: Use actual project as homepage.
  * debian/rules: Drop --as-needed.
  * debian/control: Bump Standards-Version to 4.6.1.
  * debian/rules: Disable libexecdir override. (Closes: #955239)

 -- Boyuan Yang <byang@debian.org>  Tue, 27 Sep 2022 16:24:43 -0400

ibus-pinyin (1.5.0-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix lua compatibility issue due to deprecated LUA_QS macro.
    (Closes: #964680)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Jul 2020 11:26:32 +0200

ibus-pinyin (1.5.0-6) unstable; urgency=medium

  * Team upload.
  * Use python3 (Closes: #936718)
    - debian/control: Fix Depends and Build-Depends
    - debian/rules: Configure to build with python3
    - debian/patches/python3.patch: Patch from upstream pull request
      https://github.com/ibus/ibus-pinyin/pull/5

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 08 Dec 2019 05:11:35 +0900

ibus-pinyin (1.5.0-5) unstable; urgency=medium

  * Team upload.
  * Refresh packaging instructions.
    + Bump debhelper compat to v11.
    + Update maintainer field and use debian-input-method list as maintainer
      email address. (Closes: #899958).
    + Update package description and mention package's deprecation status.
  * Add NEWS.Debian file to mention that this package is deprecated and users
    should install ibus-libpinyin instead. (Closes: #891329).
    The package will be removed after Debian Buster release.

 -- Boyuan Yang <byang@debian.org>  Tue, 18 Sep 2018 16:53:42 -0400

ibus-pinyin (1.5.0-4) unstable; urgency=medium

  * Acknowledge NMU.
  * Update upstream site etc.  Closes: #841795
  * Add ibus-pinyin-default-full.patch: Set ibus-pinyin engine to
    full pinyin as default when dconf data not exist.(from openSUSE)
  * Update the CVE-2013-4509 patch with upstream one.
  * Depend on dh_lua and drop liblua5.1-0-dev.
  * Depend on dh_python.  Closes: #797953
  * Set m_double_pinyin = FALSE.  Closes: 787526

 -- Osamu Aoki <osamu@debian.org>  Sat, 10 Dec 2016 13:16:37 +0900

ibus-pinyin (1.5.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove hard-coded dependency on libpyzy-1.0-0 (Closes: #797332)

 -- Jonathan Wiltshire <jmw@debian.org>  Thu, 03 Sep 2015 22:11:56 +0100

ibus-pinyin (1.5.0-3) unstable; urgency=medium

  * Dropped gobject-introspection from depends.
  * Fixed missing entries in changelog. Closes: #736733

 -- Osamu Aoki <osamu@debian.org>  Thu, 05 Jun 2014 22:08:18 +0900

ibus-pinyin (1.5.0-2) unstable; urgency=medium

  * Update dependency to python-gi.  Closes: #746969
  * Add dependency to gobject-introspection.
  * DEP-5 copyright file.
  * Apply lua 5.2 patch by Aron but still build with lua 5.1
    due to autoconf problem.

 -- Osamu Aoki <osamu@debian.org>  Wed, 04 Jun 2014 23:47:15 +0900

ibus-pinyin (1.5.0-1) unstable; urgency=low

  * New upstream release
  * Update policy to 3.9.5 and compat to 9.
  * Add --with autoreconf. Closes: #727267
  * Add dependency to python-ibus, python-xdg.
    Closes: #735495, #734350, #734351
  * Dropped libboost from build-depends.
  * harden debian/rules.
  * Multi-Arch enabled.
  * Use libpyzy-1.0-0 and make this single binary package.
  * Sync with ibus-pinyin-1.5.0-5.fc19.src.rpm
    - Fixes lua 5.2 compile by Peng Wu
      (This is build with lua 5.1 since autoconf lose lua 5.2)
    - Fixes ibus: visible password entry flaw. (rhbz#1027029)
      (CVE-2013-4509) by Peng Wu

 -- Osamu Aoki <osamu@debian.org>  Sun, 26 Jan 2014 17:57:15 +0900

ibus-pinyin (1.4.0-2) unstable; urgency=low

  * Fix libexecdir to match ibus-setup expectation.
    Closes: #712580

 -- Osamu Aoki <osamu@debian.org>  Tue, 18 Jun 2013 23:01:55 +0900

ibus-pinyin (1.4.0-1) unstable; urgency=low

  * New upstream release

 -- Osamu Aoki <osamu@debian.org>  Thu, 22 Dec 2011 22:54:44 +0900

ibus-pinyin (1.3.99.20110706-2) unstable; urgency=low

  * Install missing files. Closes: #646341
  * Remove useless lintian override file.
  * Use dh_link to make symlink properly.
  * Clean data/db/android/*.pyc for clean rebuild.

 -- Osamu Aoki <osamu@debian.org>  Wed, 21 Dec 2011 22:49:29 +0900

ibus-pinyin (1.3.99.20110706-1) unstable; urgency=low

  * New upstream release
  * Use dh in debian/rules
  * Bump standards version to 3.9.2
  * Set VCS to git.debian.org
  * Set DM-Upload-Allowed to yes
  * Set X-Python-Version to >= 2.5
  * Add debian/*.install files
  * Fix "Switch to dh_python2" (Closes: #635029)
  * Fix "Please enable GBK support or mention in document" (Closes: #535578)

 -- Asias He <asias.hejun@gmail.com>  Sun, 24 Jul 2011 16:01:18 +0800

ibus-pinyin (1.3.11-1) unstable; urgency=low

  [ Asias He ]
  * New upstream release.

 -- LI Daobing <lidaobing@debian.org>  Wed, 08 Sep 2010 21:38:54 +0800

ibus-pinyin (1.3.10-1) unstable; urgency=low

  [ Asias He ]
  * New upstream release (closes: #590356).
  * debian/control:
    - bump standards version to 3.9.1

  [ LI Daobing ]
  * debian/control:
    - build depends on libopencc-dev (>= 0.1.0).

 -- LI Daobing <lidaobing@debian.org>  Mon, 09 Aug 2010 21:44:47 +0800

ibus-pinyin (1.3.9-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - bump standards version to 3.9.0
    - add build depends on liblua5.1-0-dev, libopencc-dev
  * debian/rules: enable opencc.

 -- LI Daobing <lidaobing@debian.org>  Fri, 16 Jul 2010 23:25:41 +0800

ibus-pinyin (1.3.8-1) unstable; urgency=low

  [ Asias He ]
  * New upstream release.
  * debian/control:
    - add Asias He <asias.hejun@gmail.com> to Uploaders.

 -- LI Daobing <lidaobing@debian.org>  Sun, 30 May 2010 11:05:32 +0800

ibus-pinyin (1.3.6-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: updated.

 -- LI Daobing <lidaobing@debian.org>  Fri, 21 May 2010 21:31:57 +0800

ibus-pinyin (1.3.5-1) unstable; urgency=low

  * New upstream release.

 -- LI Daobing <lidaobing@debian.org>  Tue, 04 May 2010 20:57:41 +0800

ibus-pinyin (1.3.4-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/debian-changes-1.3.3-2: removed.
  * debian/control:
    - add build depends on libboost-dev.
    - remove build depends on libsigc++.

 -- LI Daobing <lidaobing@debian.org>  Mon, 03 May 2010 15:31:14 +0800

ibus-pinyin (1.3.3-2) unstable; urgency=low

  * Fix "FTBFS: DynamicSpecialPhrase.cc:60: error: 'snprintf' is  not a
    member of 'std'" (Closes: #578335)
    - debian/patches/debian-changes-1.3.3-2: patch from upstream bug report:
      http://code.google.com/p/ibus/issues/detail?id=863

 -- LI Daobing <lidaobing@debian.org>  Mon, 19 Apr 2010 20:50:57 +0800

ibus-pinyin (1.3.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - group maintained, add me to uploaders.
    - update Vcs-* information.

 -- LI Daobing <lidaobing@debian.org>  Fri, 16 Apr 2010 20:39:34 +0800

ibus-pinyin (1.3.1-1) unstable; urgency=low

  * New upstream release.

 -- LI Daobing <lidaobing@debian.org>  Sat, 10 Apr 2010 15:32:18 +0800

ibus-pinyin (1.3.0-1) unstable; urgency=low

  * New upstream release.
  * debian/source/format: 3.0.

 -- LI Daobing <lidaobing@debian.org>  Sat, 03 Apr 2010 21:22:28 +0800

ibus-pinyin (1.2.99.20100318-1) experimental; urgency=low

  * New upstream release.
  * debian/control: bump standards version to 3.8.4.
  * debian/control: switch to ibus 1.3.
  * debian/control: build depends on libsigc++-2.0-dev.
  * debian/control: fix debhelper-but-no-misc-depends.
  * debian/rules: remove config.log

 -- LI Daobing <lidaobing@debian.org>  Sun, 21 Mar 2010 19:22:14 +0800

ibus-pinyin (1.2.99.20091211-1) unstable; urgency=low

  * New upstream release.
  * debian/control: add build depends on intltool

 -- LI Daobing <lidaobing@debian.org>  Sat, 12 Dec 2009 22:43:01 +0800

ibus-pinyin (1.2.99.20091009-1) unstable; urgency=low

  * new upstream release.
  * debian/control: rename package ibus-pinyin-db-google to
    ibus-pinyin-db-android.
  * debian/rules: updated.

 -- LI Daobing <lidaobing@debian.org>  Sun, 11 Oct 2009 12:58:12 +0800

ibus-pinyin (1.2.99.20091007-1) unstable; urgency=low

  * new upstream release.
  * debian/control: remove package ibus-pinyin-data, add packages
    ibus-pinyin-db-open-phrase and ibus-pinyin-db-google.
  * debian/rules: updated.

 -- LI Daobing <lidaobing@debian.org>  Thu, 08 Oct 2009 12:39:25 +0800

ibus-pinyin (1.2.99.20090930-1) unstable; urgency=low

  * new upstream release.
  * debian/control: update build depends.

 -- LI Daobing <lidaobing@debian.org>  Wed, 30 Sep 2009 22:44:05 +0800

ibus-pinyin (1.2.99.20090929-1) unstable; urgency=low

  * new upstream release.
  * debian/watch: updated.
  * debian/control:
    - build depends on pinyin-database and lsb-release.
    - add ibus-pinyin-data package.
  * debian/rules: updated.
  * debian/README.Debian: no longer needed.

 -- LI Daobing <lidaobing@debian.org>  Tue, 29 Sep 2009 22:33:06 +0800

ibus-pinyin (1.2.99.20090923+1-1) unstable; urgency=low

  * new upstream release.
  * debian/rules: update build script.
  * debian/control:
    - change arch from all to any.
    - remove Build-Depends-Indep, update Build-Depends
    - update Depends

 -- LI Daobing <lidaobing@debian.org>  Wed, 23 Sep 2009 20:12:19 +0800

ibus-pinyin (1.2.0.20090915+1-1) unstable; urgency=low

  * new upstream release.
  * debian/control:
    - bump standards version to 3.8.3.
    - update Vcs-* fields.

 -- LI Daobing <lidaobing@debian.org>  Tue, 15 Sep 2009 20:09:45 +0800

ibus-pinyin (1.2.0.20090617+1-1) unstable; urgency=low

  * new upstream release.
  * debian/control:
    - depends: ibus >= 1.2
    - bump standards version to 3.8.2

 -- LI Daobing <lidaobing@debian.org>  Sat, 20 Jun 2009 23:40:41 +0800

ibus-pinyin (1.1.0.20090612+1-1) unstable; urgency=low

  * new upstream release.

 -- LI Daobing <lidaobing@debian.org>  Sat, 13 Jun 2009 15:37:23 +0800

ibus-pinyin (1.1.0.20090303+1-0ubuntu1) karmic; urgency=low

  * initial release (LP: #318806)

 -- LI Daobing <lidaobing@debian.org>  Fri, 01 May 2009 16:44:56 +0800
